> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a Cardano minting policy including assets, metadata, and policy script details.

# Information about a policy of native assets



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /policy/{policy}
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /policy/{policy}:
    get:
      tags:
        - Asset Policy
      summary: Information about a policy of native assets
      description: >-
        Returns a summary of information about a native asset policy ID and
        assets minted under that policy
      operationId: policy_info
      parameters:
        - name: policy
          in: path
          description: Hex encoded policy ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Summary of asset minting policy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedPolicyInfo'
              example:
                data:
                  policy_id: f0ff48bbb7bbe9d59a40f1ce90e9e9d0ff5002ec48f232b49ca0fb9a
                  script:
                    hash: f0ff48bbb7bbe9d59a40f1ce90e9e9d0ff5002ec48f232b49ca0fb9a
                    type: native
                    bytes: >-
                      8200581c4da965a049dfd15ed1ee19fba6e2974a0b79fc416dd1796a1f97f5e1
                    json:
                      keyHash: 4da965a049dfd15ed1ee19fba6e2974a0b79fc416dd1796a1f97f5e1
                      type: sig
                  assets_of_policy: 11
                  total_supply: '11'
                  unique_holders:
                    by_address: 21
                    by_account: 19
                  first_mint_tx:
                    tx_hash: >-
                      257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                    slot: 55718892
                    timestamp: '2022-03-14 19:13:03'
                  latest_update_tx:
                    tx_hash: >-
                      257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                    slot: 55718892
                    timestamp: '2022-03-14 19:13:03'
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedPolicyInfo:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/PolicyInfo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    PolicyInfo:
      type: object
      description: Information about a Cardano native-asset policy ID
      required:
        - policy_id
        - script
        - assets_of_policy
        - total_supply
        - unique_holders
        - first_mint_tx
        - latest_mint_tx
      properties:
        assets_of_policy:
          type: integer
          format: int64
          description: Number of unique asset names of the policy ID which have existed
          minimum: 0
        first_mint_tx:
          $ref: '#/components/schemas/TimestampedTransaction'
        latest_mint_tx:
          $ref: '#/components/schemas/TimestampedTransaction'
        policy_id:
          type: string
          description: Hex encoding of the policy ID
        script:
          $ref: '#/components/schemas/Script'
        total_supply:
          type: string
          description: >-
            Sum of the total supplies of all different assets under the policy
            ID
        unique_holders:
          $ref: '#/components/schemas/Holders'
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    TimestampedTransaction:
      type: object
      description: Transaction hash with details of when that transaction appeared on-chain
      required:
        - tx_hash
        - slot
        - timestamp
      properties:
        slot:
          type: integer
          format: int64
          description: Absolute slot of the block which includes the transaction
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of the block which includes the transaction
        tx_hash:
          type: string
          description: Transaction hash
    Script:
      type: object
      description: Details of a Native or Plutus script
      required:
        - hash
        - type
        - bytes
      properties:
        bytes:
          type: string
          description: Script bytes
        hash:
          type: string
          description: Script hash
        json:
          type: object
          description: >-
            JSON representation of script (`null` if script not of `native`
            type)
          nullable: true
        type:
          $ref: '#/components/schemas/ScriptType'
    Holders:
      type: object
      description: >-
        Number of holders of at least one of a specific asset or assets of a
        specific policy, by address or address staking part
      required:
        - by_address
        - by_account
      properties:
        by_account:
          type: integer
          format: int64
          description: >-
            Number of unique staking keys used in addresses which control at
            least one of an asset of the policy ID
          minimum: 0
        by_address:
          type: integer
          format: int64
          description: >-
            Number of unique addresses which control at least one of an asset of
            the policy ID
          minimum: 0
    ScriptType:
      type: string
      description: Script type and version
      enum:
        - native
        - plutusv1
        - plutusv2
        - plutusv3
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````